%global realversion 1.0.23-9

Name:		udpxy
Version:	1.0.23
Release:	%mkrel 3
Summary:	UDP-to-HTTP multicast traffic relay daemon
Group:		System/Servers
License:	GPLv3+
URL:		http://www.udpxy.com
Source0:	http://www.udpxy.com/download/1_23/%{name}.%{realversion}-prod.tar.gz
Source1:	udpxy.service
Source2:	udpxy.sysconfig
Requires(pre):		rpm-helper
Requires(post):		rpm-helper
Requires(preun):	rpm-helper
Requires(postun):	rpm-helper

%description
udpxy is a UDP-to-HTTP multicast traffic relay daemon:
it forwards UDP traffic from a given multicast subscription
to the requesting HTTP client.

%prep
%setup -q -n %{name}-%{realversion}

sed -i 's|@cp $(UDPXREC)|@cp -a $(UDPXREC)|g' Makefile

%build
%make_build CPPFLAGS="%{optflags}" rdebug


%install
%make_install PREFIX=%{_prefix}

install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%pre
%_pre_useradd %{name} / /bin/false

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}


%files
%doc README CHANGES gpl.txt
%{_bindir}/%{name}
%{_bindir}/udpxrec
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/udpxrec.1.*
%{_unitdir}/%{name}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.0.23-3.mga8
+ Revision: 1517649
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.23-2.mga7
+ Revision: 1301498
- Mageia 7 Mass Rebuild

* Sun Jul 03 2016 cjw <cjw> 1.0.23-1.mga6
+ Revision: 1038555
- imported package udpxy

